
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Time Alarm Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Time.Alarm</h1><h2>Description</h2>
<p>The Alarm interface is used to register wakeup alarms. Alarm notifications  will be submitted as dbus method calls, hence alarm receivers need to  implement the interface org.freesmartphone.Notification on the root object.  Alarm receivers need to be running dbus system services or dbus system-activatible.  If the system features a suspend mode, the framework will ensure that the  system is awake at the time the alarm triggers.   Multiple alarms per bus name can be registered. If you want to register  named alarm (e.g. agenda items, birthdays, etc.), consider using the PIM  services instead.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Time.Alarm</tt></p>
<h2>Methods</h2><ul>
<li><a href="#ClearAlarms">ClearAlarms</a></li>
<li><a href="#ListAlarms">ListAlarms</a></li>
<li><a href="#RemoveAlarm">RemoveAlarm</a></li>
<li><a href="#AddAlarm">AddAlarm</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="ClearAlarms">ClearAlarms</a> ( s )</h3>
<p><i>Description:</i> Clear all scheduled alarms for a given dbus service name. </p><h4>Parameters</h4><i>s: busname</i><p>The dbus service bus name to clear all alarms for. </p>
<h3><a name="ListAlarms">ListAlarms</a> ( ) &rarr; a(si)</h3>
<p><i>Description:</i> List all currently scheduled alarms. </p><h4>Returns</h4><i>a(si): alarms</i><p>All currently scheduled alarms. </p>
<h3><a name="RemoveAlarm">RemoveAlarm</a> ( si )</h3>
<p><i>Description:</i> Removes a scheduled alarm. </p><h4>Parameters</h4><i>s: busname</i><p>The dbus service bus name to clear the alarm for. </p><i>i: timestamp</i><p>When to call in seconds since 1970 (epoch). </p>
<h3><a name="AddAlarm">AddAlarm</a> ( si )</h3>
<p><i>Description:</i> Schedules an alarm for a given dbus service name.  The alarm will be triggered by calling the service's  <a href="http://docs.freesmartphone.org/org.freesmartphone.Notification.html#Alarm">Alarm</a> method on the root (/) object. </p><p><div class="rationale"><p>Make sure to specify a dbus system service configuration file for  the services that use this interface. This way, you can  receive alarm notifications even when your service is not  running at the time the alarm fires. </p></div></p><h4>Parameters</h4><i>s: busname</i><p>The dbus service name to call. </p><i>i: timestamp</i><p>When to call in seconds since 1970 (epoch). </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

